{ config, lib, pkgs, ... }:

with lib;
let
  cfg = config.modules.software.tools.rbw;
in {
  options.modules.software.tools.rbw = {
    enable = mkEnableOption "Enable rbw, a CLI Bitwarden frontend";
  };

  config = mkIf cfg.enable {
    hm.programs.rbw = {
      enable = true;
      settings.email = "reidlab325@gmail.com";
      settings.lock_timeout = 60 * 60 * 24 * 7; # 1 week
      settings.pinentry = pkgs.pinentry-gnome3;
    };
  };
}
